---
- block:
  - name: Install various c, c++ compilers, linkers and assemblers
    apt:
      name:
        - "libc++-dev"
        - "clang-3.6"
        - "clang-format-3.6"
        - "clang-4.0"
        - "clang-format-4.0"
        - "clang-tidy-4.0"
        - "llvm-4.0"
        - "m4"
        - "build-essential"
        - "gcc-arm-none-eabi"
        - "yasm"
        # gcc/g++ 6.3 comes from the testing toolchain PPA
        # TODO(bob): this will be replaced with a complete hermetic tarball in
        #            the future
        - "binutils-2.26"
        - "gcc-6"
        - "g++-6"
        - "gfortran-6"
        # gcc/g++ 7.4 comes from the testing toolchain PPA
        - "gcc-7"
        - "g++-7"
        - "gfortran-7"
      install_recommends: no
      cache_valid_time: "{{ apt_cache_valid_time }}"

  become: yes
